SoComposeRotationFromTo(3)

NAME
SoComposeRotationFromTo - The SoComposeRotationFromTo class is used to compose rotations based on from and to vectors.

SYNOPSIS

#include <Inventor/engines/SoComposeRotationFromTo.h>

Inherits SoEngine.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoFieldData * getFieldData (void) const
virtual const SoEngineOutputData * getOutputData (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass ()

  Public Attributes
SoMFVec3f from
SoMFVec3f to
SoEngineOutput rotation

  Static Protected Member Functions
static const SoFieldData ** getInputDataPtr (void)
static const SoEngineOutputData ** getOutputDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoComposeRotationFromTo class is used to compose rotations based on from and to vectors.

Member Function Documentation

  SoType SoComposeRotationFromTo::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoComposeRotationFromTo::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoComposeRotationFromTo::getInputDataPtr (void) [static], [protected]
Returns the SoFieldData class which holds information about inputs in this engine.

  const SoEngineOutputData ** SoComposeRotationFromTo::getOutputDataPtr (void) [static], [protected]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

  const SoFieldData * SoComposeRotationFromTo::getFieldData (void) const [virtual]
Returns the SoFieldData class which holds information about inputs in this engine.

Reimplemented from SoFieldContainer.

  const SoEngineOutputData * SoComposeRotationFromTo::getOutputData (void) const [virtual]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

Implements SoEngine.

  void * SoComposeRotationFromTo::createInstance (void) [static]
Creates a new instance of the class type corresponding to the SoType object.

Member Data Documentation

  SoMFVec3f SoComposeRotationFromTo::from
Set of input vectors to rotate from.

  SoMFVec3f SoComposeRotationFromTo::to
Set of input vectors to rotate to.

  SoEngineOutput SoComposeRotationFromTo::rotation
(SoMFRotation) Set of output rotations, where each element is the rotation you need to apply to the from vector (of the same index) to make it point in the to direction.

Author

Generated automatically by Doxygen for Coin from the source code.